//
//  WindowController.swift
//  MorseTutor
//

import Cocoa

class WindowController : NSWindowController {
    // The ViewController handles keystrokes in this application, so send them down to the ViewController and if it doesn't handle them, send them to the superclass (which probably results in a beep)
    override func keyDown(with theEvent: NSEvent) {
        let vc = window!.contentViewController as! ViewController
        if !vc.handleKeyStroke(theEvent) {
            super.keyDown(with: theEvent)
        }
    }
}
